Page 1 of 4

Updated EditWorld 32 for 2.x (2.1.x, 2.2.x ...)

Posted: 09 Apr 2008, 04:05
by Buginator
NOTE: A new map editor is being worked on here: viewtopic.php?f=5&t=5309&start=0 viewtopic.php?f=5&t=4630
This is windows only (as is EW32), and is written in visual baisc.

=========================================================================================
Step one, get this: http://files.wz2100.net/tools/BetaWorldEditor32.exe and install it.

Step two, get the file below, and use that .exe file when you run it.
=========================================================================================

This should fix it, so that when you create a map, no need to change anything, just drop it in the maps directory, and it should work.

That is assuming you read http://docs.wz2100.net/map%20tutorials/ ... index.html and followed the tutorials.

No, there is no source to this patched file, since I didn't have any to begin with.  :(

NOTE: cleaning up this thread. All OT posts will be removed.


NOTE, Editworld 32 does NOT support 3/5/6/7 player maps! For that, you *must* use FlaME 1.10+ or manually fix editworld. We do NOT have the source code to fix this.

March 2 2011 - lav_coyote25 - edited - strike through links as they do not work anymore -due to not being relevent :annoyed: :stressed: :x

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 05:22
by Buginator
DarkCheetah wrote:DDERR_INVALIDPIXELFORMAT
The pixel format was invalid as specified

file.:\directX.ccp
Line: 584
Your desktop must be set to true color (32bit) mode.
What vid cards do you guys have?

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 05:41
by whippersnapper
.

DarkCheetah & Phoenix666 - i think i know what may be the problem and you may be outta luck on a fix. or, you could be in luck. what follows are 2 possibilities.

EW uses 1555 ARGB and it looks like A1R5B5G5 is not supported by your gfx chipset which likely only supports the more modern 565 RGB - therefore your comp cannot roll-out the proper texture map space when it tries to make the dx call. it's any easy fix if your working with the source because you can make EW accept the newer 565 RGB for the 8bit PAL specification...

however, maybe it's a more simple issue at work here like....

this is directly related to the DirectDrawSurface color depth, which is always same as your desktop color depth..... have you played around with your desktop color bit depth setting ? that could be the simple 'fix'....

that's all i can think of..... maybe Buginator can come up with a more appropriate answer or solution.


----->EDIT: Wow... 2 posts while i was writing... and one by Bug.... on the same wavelength there too... i'll let mine stand as is...

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 12:28
by DarkCheetah
i got Nvidia GeForce 7300 , or something like that , thereafter my colours ARE 32bits , becuase the 16 bit editor works verry properly , so question is , why 32 bits not? and if its posible , can i make maps for beta with 16 bit?

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 14:48
by whippersnapper
..

that is all together wierd.

i can tell you for sure that your card is not properly rolling out the DirectDrawSurface color depth texture space. why i cannot say since it can handle the older PAL specification (you can run the original EW no prob). maybe Bug can figure it out from your attachment. btw - have you updated your card drivers ? your DX ?

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 15:12
by whippersnapper
...

yes DX... your set with that version.

NVIDIA released a new driver update for your card just a few days ago (October 20th, 2008) and you can grab it here:

http://newdriverdownloads.com/drivers/v ... awod82c5yw

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 21:52
by Buginator
Last time I looked at the dump, I could of swore it used 888. Which is why it required a 32bit desktop.
I supposed I can check again, and modify the routine, if it is still looking for 555... but I don't think it does.

Re: Updated EW32 for 2.1

Posted: 25 Oct 2008, 23:10
by DarkCheetah
whippersnapper wrote:...

yes DX... your set with that version.

NVIDIA released a new driver update for your card just a few days ago (October 20th, 2008) and you can grab it here:

http://newdriverdownloads.com/drivers/v ... awod82c5yw
thx , hope it works!

Re: Updated EditWorld 32 for 2.x

Posted: 26 Jul 2009, 19:13
by TonyTheSlayer
Firechkn34 wrote:Where do i save the file editworld32c.7z to?
It does not matter, the executable file is inside and will install EditWorld for you. You just need to make the directory changes.

Re: Updated EditWorld 32 for 2.x

Posted: 27 Jul 2009, 14:50
by Firechkn34
i ran the only file in the .7z file and got this:
Error_1.JPG
What do i do now

Re: Updated EditWorld 32 for 2.x

Posted: 10 Aug 2009, 18:33
by i-NoD

Re: Updated EditWorld 32 for 2.x

Posted: 10 Aug 2009, 18:36
by Dylan Hsu
Well, I Was going to, but then I downloaded this. viewtopic.php?f=5&t=838

Re: Updated EditWorld 32 for 2.x

Posted: 10 Aug 2009, 18:47
by i-NoD
guess I'm but still
libpng13.7z
(51.28 KiB) Downloaded 710 times
freshly compiled from the 1.2.39rc01 package

Re: Updated EditWorld 32 for 2.x (2.1.x, 2.2.x ...)

Posted: 08 Nov 2009, 23:24
by Korusray
i keep getting the error

error reading PCX when i try to create a new map any ideas?

Re: Updated EditWorld 32 for 2.x (2.1.x, 2.2.x ...)

Posted: 13 Nov 2009, 02:07
by luisynai101
Any ideas why i get this error when i run the program? :mad;